Libraries missing?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
25 messages Options
12
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Libraries missing?

msknight
I moved from Mint to Ubuntu 17.04 (64 bit) and am getting things straight.

Among the things not working quite right, is footage from my Canon FS200 camcorder. At the moment, I'm using VLC to convert the footage, but I'd like to get FFmpeg working again.

I suspect this is a library issue as it does give a configuration mismatch error, but I'm not sure how to go about solving this...

$ ffmpeg -i MOV024.MOD MOV024.Mp4
ffmpeg version 3.2.4-1build2 Copyright (c) 2000-2017 the FFmpeg developers
  built with gcc 6.3.0 (Ubuntu 6.3.0-8ubuntu1) 20170221
  configuration: --prefix=/usr --extra-version=1build2 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --enable-gpl --disable-stripping --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libebur128 --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmp3lame --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librubberband --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzmq --enable-libzvbi --enable-omx --enable-openal --enable-opengl --enable-sdl2 --enable-libdc1394 --enable-libiec61883 --enable-chromaprint --enable-frei0r --enable-libopencv --enable-libx264 --enable-shared
  WARNING: library configuration mismatch
  avcodec     configuration: --prefix=/usr --extra-version=1build2 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --enable-gpl --disable-stripping --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libebur128 --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmp3lame --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librubberband --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzmq --enable-libzvbi --enable-omx --enable-openal --enable-opengl --enable-sdl2 --enable-libdc1394 --enable-libiec61883 --enable-chromaprint --enable-frei0r --enable-libopencv --enable-libx264 --enable-shared --enable-version3 --disable-doc --disable-programs --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libtesseract --enable-libvo_amrwbenc --enable-netcdf
  libavutil      55. 34.101 / 55. 34.101
  libavcodec     57. 64.101 / 57. 64.101
  libavformat    57. 56.101 / 57. 56.101
  libavdevice    57.  1.100 / 57.  1.100
  libavfilter     6. 65.100 /  6. 65.100
  libavresample   3.  1.  0 /  3.  1.  0
  libswscale      4.  2.100 /  4.  2.100
  libswresample   2.  3.100 /  2.  3.100
  libpostproc    54.  1.100 / 54.  1.100
[libopenmpt @ 0x55f603ce1cc0] openmpt_module_create_from_memory: ERROR: error loading file
MOV024.MOD: Invalid data found when processing input
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Moritz Barsnick
On Sat, Jul 29, 2017 at 23:09:51 -0700, msknight wrote:
> Among the things not working quite right, is footage from my Canon FS200
> camcorder. At the moment, I'm using VLC to convert the footage, but I'd like
> to get FFmpeg working again.

Did this work before on Mint? (At the very bottom, I believe I did
figure out what the issue is. Check my babbling inbetween anyway.)

> I suspect this is a library issue as it does give a configuration mismatch
> error, but I'm not sure how to go about solving this...

Indeed, this:
> --enable-libopencv --enable-libx264 --enable-shared
>   WARNING: library configuration mismatch
>   avcodec     configuration: --prefix=/usr --extra-version=1build2
> --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu

means ffmpeg is seeing a mixture of libraries from different builds. It
*may* indicate that ffmpeg is seeing something it shouldn't (unless
this was on purpose).

> $ ffmpeg -i MOV024.MOD MOV024.Mp4
> ffmpeg version 3.2.4-1build2 Copyright (c) 2000-2017 the FFmpeg developers
>   built with gcc 6.3.0 (Ubuntu 6.3.0-8ubuntu1) 20170221

Can you grab a static build from Zeranoe
(https://ffmpeg.zeranoe.com/builds/) - not the 3.3.2 but rather the
"201707*" version - and use that to check. (We won't uderstand whether
it's the newer version or the proper build that makes the difference
though.)

> [libopenmpt @ 0x55f603ce1cc0] openmpt_module_create_from_memory: ERROR:
> error loading file
> MOV024.MOD: Invalid data found when processing input

D'uh! Due to the extention of the file, and because your build of
ffmpeg supports libopenmpt, ffmpeg tried to open this as a "module
tracker" (a weird audio format from the 80ies, IIRC.) I think you need
to force the input as some sort of MPEG:
$ ffmpeg -f mpg -i MOV024.MOD
or
$ ffmpeg -f mpegts -i MOV024.MOD

Zeranoe's build probably doesn't support libopenmpt and will work out
of the box. If it does, do tell us which format it detects (the output
of "ffmpeg -i" please.

Moritz
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

msknight
Hi. Thanks for taking the time to help me with this.

Yes, it worked under Mint, and I still have a copy running if you want information from it.

I'm currently getting the version and will let you know what happens.

Result of commands...

$ ffmpeg -i
ffmpeg version 3.2.4-1build2 Copyright (c) 2000-2017 the FFmpeg developers
  built with gcc 6.3.0 (Ubuntu 6.3.0-8ubuntu1) 20170221
  configuration: --prefix=/usr --extra-version=1build2 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --enable-gpl --disable-stripping --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libebur128 --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmp3lame --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librubberband --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzmq --enable-libzvbi --enable-omx --enable-openal --enable-opengl --enable-sdl2 --enable-libdc1394 --enable-libiec61883 --enable-chromaprint --enable-frei0r --enable-libopencv --enable-libx264 --enable-shared
  WARNING: library configuration mismatch
  avcodec     configuration: --prefix=/usr --extra-version=1build2 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --enable-gpl --disable-stripping --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libebur128 --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmp3lame --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librubberband --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzmq --enable-libzvbi --enable-omx --enable-openal --enable-opengl --enable-sdl2 --enable-libdc1394 --enable-libiec61883 --enable-chromaprint --enable-frei0r --enable-libopencv --enable-libx264 --enable-shared --enable-version3 --disable-doc --disable-programs --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libtesseract --enable-libvo_amrwbenc --enable-netcdf
  libavutil      55. 34.101 / 55. 34.101
  libavcodec     57. 64.101 / 57. 64.101
  libavformat    57. 56.101 / 57. 56.101
  libavdevice    57.  1.100 / 57.  1.100
  libavfilter     6. 65.100 /  6. 65.100
  libavresample   3.  1.  0 /  3.  1.  0
  libswscale      4.  2.100 /  4.  2.100
  libswresample   2.  3.100 /  2.  3.100
  libpostproc    54.  1.100 / 54.  1.100
Missing argument for option 'i'.
Error splitting the argument list: Invalid argument


Result of -f mpg
Unknown input format: 'mpg'

Result of -f mpegts...

...um... a lot of things flashed past too fast to capture and my screengrab isn't working, (and it overran the terminal buffer) but at the end of the text....

    Stream #0:102[0x1b3e]: Unknown: none
    Stream #0:103[0x421]: Unknown: none
    Stream #0:104[0x771]: Unknown: none
    Stream #0:105[0x77e]: Audio: mp3, 0 channels, s16p
    Stream #0:106[0x600]: Unknown: none
    Stream #0:107[0x1e30]: Unknown: none
    Stream #0:108[0xa30]: Unknown: none
    Stream #0:109[0x12b]: Unknown: none
    Stream #0:110[0x1963]: Unknown: none
    Stream #0:111[0x234]: Unknown: none
    Stream #0:112[0xe41]: Unknown: none
    Stream #0:113[0x42]: Unknown: none
    Stream #0:114[0x70c]: Unknown: none
    Stream #0:115[0x2a]: Unknown: none
[abuffer @ 0x558d0606da20] Value inf for parameter 'time_base' out of range [0 - 2.14748e+09]
    Last message repeated 3 times
[abuffer @ 0x558d0606da20] Error setting option time_base to value 1/0.
[graph 0 input from stream 0:4 @ 0x558d06009bc0] Error applying options to the filter.
Error opening filters!

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

msknight
In reply to this post by Moritz Barsnick
Zeranoe appears to be Windows builds. I can't find Linux there.  I also couldn't work out what to download in order to build... but I'll keep looking.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

msknight
In reply to this post by Moritz Barsnick
Here is the output from the one that works. Note that it also complains of a mismatch error...

ffmpeg version 2.8.11-0ubuntu0.16.04.1 Copyright (c) 2000-2017 the FFmpeg developers
  built with gcc 5.4.0 (Ubuntu 5.4.0-6ubuntu1~16.04.4) 20160609
  configuration: --prefix=/usr --extra-version=0ubuntu0.16.04.1 --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --cc=cc --cxx=g++ --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv
  WARNING: library configuration mismatch
  avcodec     configuration: --prefix=/usr --extra-version=0ubuntu0.16.04.1 --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --cc=cc --cxx=g++ --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --disable-doc --disable-programs --disable-avdevice --disable-avfilter --disable-avformat --disable-avresample --disable-postproc --disable-swscale --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_aacenc --enable-libvo_amrwbenc
  libavutil      54. 31.100 / 54. 31.100
  libavcodec     56. 60.100 / 56. 60.100
  libavformat    56. 40.101 / 56. 40.101
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 40.101 /  5. 40.101
  libavresample   2.  1.  0 /  2.  1.  0
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.101 /  1.  2.101
  libpostproc    53.  3.100 / 53.  3.100
Input #0, mpeg, from 'MOV005.MOD':
  Duration: 00:02:47.07, start: 0.227389, bitrate: 9757 kb/s
    Stream #0:0[0x1e0]: Video: mpeg2video (Main), yuv420p(tv), 720x576 [SAR 64:45 DAR 16:9], max. 9600 kb/s, 25 fps, 25 tbr, 90k tbn, 50 tbc
    Stream #0:1[0x80]: Audio: ac3, 48000 Hz, stereo, fltp, 256 kb/s
[libx264 @ 0x243f400] using SAR=64/45
[libx264 @ 0x243f400] using cpu capabilities: MMX2 SSE2Fast SSSE3 SSE4.2 AVX XOP FMA4 FMA3 LZCNT BMI1
[libx264 @ 0x243f400] profile High, level 3.0
[libx264 @ 0x243f400] 264 - core 148 r2643 5c65704 - H.264/MPEG-4 AVC codec - Copyleft 2003-2015 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=6 lookahead_threads=1 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=abr mbtree=1 bitrate=3000 ratetol=1.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, mp4, to 'MOV005.mp4':
  Metadata:
    encoder         : Lavf56.40.101
    Stream #0:0: Video: h264 (libx264) ([33][0][0][0] / 0x0021), yuv420p, 720x576 [SAR 64:45 DAR 16:9], q=-1--1, 3000 kb/s, 25 fps, 12800 tbn, 25 tbc
    Metadata:
      encoder         : Lavc56.60.100 libx264
    Stream #0:1: Audio: aac (libvo_aacenc) ([64][0][0][0] / 0x0040), 48000 Hz, stereo, s16, 128 kb/s
    Metadata:
      encoder         : Lavc56.60.100 libvo_aacenc
Stream mapping:
  Stream #0:0 -> #0:0 (mpeg2video (native) -> h264 (libx264))
  Stream #0:1 -> #0:1 (ac3 (native) -> aac (libvo_aacenc))
Press [q] to stop, [?] for help
frame= 4176 fps= 48 q=-1.0 Lsize=   65776kB time=00:02:47.07 bitrate=3225.2kbits/s    
video:63041kB audio:2611kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.188057%
[libx264 @ 0x243f400] frame I:19    Avg QP:19.18  size: 53780
[libx264 @ 0x243f400] frame P:1929  Avg QP:22.86  size: 23595
[libx264 @ 0x243f400] frame B:2228  Avg QP:24.83  size:  8086
[libx264 @ 0x243f400] consecutive B-frames:  9.3% 56.1%  8.0% 26.6%
[libx264 @ 0x243f400] mb I  I16..4:  6.6% 76.1% 17.3%
[libx264 @ 0x243f400] mb P  I16..4:  1.2%  6.2%  1.0%  P16..4: 47.2% 24.5% 14.2%  0.0%  0.0%    skip: 5.7%
[libx264 @ 0x243f400] mb B  I16..4:  0.2%  0.5%  0.1%  B16..8: 47.1%  8.8%  2.4%  direct:10.4%  skip:30.6%  L0:41.5% L1:43.0% BI:15.5%
[libx264 @ 0x243f400] final ratefactor: 20.82
[libx264 @ 0x243f400] 8x8 transform intra:73.7% inter:72.5%
[libx264 @ 0x243f400] coded y,uvDC,uvAC intra: 76.1% 89.1% 60.9% inter: 34.9% 48.8% 11.4%
[libx264 @ 0x243f400] i16 v,h,dc,p: 12% 56%  6% 27%
[libx264 @ 0x243f400] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 17% 19% 35%  4%  4%  5%  5%  5%  6%
[libx264 @ 0x243f400] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 13% 61%  9%  2%  3%  3%  4%  2%  4%
[libx264 @ 0x243f400] i8c dc,h,v,p: 53% 21% 18%  8%
[libx264 @ 0x243f400] Weighted P-Frames: Y:8.9% UV:2.1%
[libx264 @ 0x243f400] ref P L0: 53.4% 13.3% 21.4% 11.3%  0.5%
[libx264 @ 0x243f400] ref B L0: 78.0% 19.7%  2.3%
[libx264 @ 0x243f400] ref B L1: 96.4%  3.6%
[libx264 @ 0x243f400] kb/s:3091.66
[libvo_aacenc @ 0x2440340] 1 frames left in the queue on closing
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Reto Kromer-2
msknight wrote:

>ffmpeg version 2.8.11-0ubuntu0.16.04.1

You should update to the current version of your branch, or -
even better! - to the brand new 3.3.3. Best regards, Reto

_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

msknight
Reto --- it was the early version that worked.  The newer version is the one that's giving the problem.

I've achieved progress, as this works...

ffmpeg -f mpeg -i MOV005.MOD -b:v 3000000  -ac 2 -ar 48000 -strict experimental MOV005.mp4
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Moritz Barsnick
In reply to this post by msknight
On Sun, Jul 30, 2017 at 03:58:57 -0700, msknight wrote:
> Zeranoe appears to be Windows builds. I can't find Linux there.  I also
> couldn't work out what to download in order to build... but I'll keep
> looking.

D'uh! I must be too tired. Of course, that's Windows.

I meant this one for Linux builds:
https://johnvansickle.com/ffmpeg/

Moritz
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Moritz Barsnick
In reply to this post by Reto Kromer-2
On Sun, Jul 30, 2017 at 13:35:14 +0200, Reto Kromer wrote:
> msknight wrote:
> >ffmpeg version 2.8.11-0ubuntu0.16.04.1
> You should update to the current version of your branch, or -
> even better! - to the brand new 3.3.3. Best regards, Reto

She was just saying, that's the version that used to work on Mint.

Moritz
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Moritz Barsnick
In reply to this post by msknight
On Sun, Jul 30, 2017 at 03:55:04 -0700, msknight wrote:
> Result of -f mpg
> Unknown input format: 'mpg'

Thanks to your Mint command output, I now know it's probably
$ ffmpeg -f mpeg -i ...MOD ...

> Result of -f mpegts...
>
> ...um... a lot of things flashed past too fast to capture and my screengrab
> isn't working, (and it overran the terminal buffer) but at the end of the
> text....

Forget it, it isn't mpegts then. ;-)

Moritz
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Nicolas George
In reply to this post by Reto Kromer-2
Le duodi 12 thermidor, an CCXXV, Reto Kromer a écrit :
> You should update to the current version of your branch, or -
> even better! - to the brand new 3.3.3. Best regards, Reto

Please be careful not to confuse the readers of this list. For
individual users, always recommend Git HEAD, release branches are for
distributions.

Regards,

--
  Nicolas George

_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Reindl Harald


Am 30.07.2017 um 14:11 schrieb Nicolas George:
> Le duodi 12 thermidor, an CCXXV, Reto Kromer a écrit :
>> You should update to the current version of your branch, or -
>> even better! - to the brand new 3.3.3. Best regards, Reto
>
> Please be careful not to confuse the readers of this list. For
> individual users, always recommend Git HEAD, release branches are for
> distributions.

until the next unlucky guy following that get a broken git HEAD as it
happened in the past and will always happen with every software - no
*enduser* right in his mind don't use the development master of *any*
software - period
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Reto Kromer-2
In reply to this post by msknight
Reindl Harald wrote:

>no *enduser* right in his mind don't use the
>development master of *any* software - period

+1

I already stressed out in the past the importance of the
releases for the end user community. Many audio-visual archives
do actually use - and keep up to date - FFmpeg via Homebrew or
Linuxbrew, and this is indeed an excellent solution for them!
Next year at least FIAF (the International Federation of Film
Archives) and SEAPAVAA (the SouthEast Asia-Pacific AudioVisual
Archive Association) will offer a platform to open source at
their annual conferences in Prague respectively in Salaya (near
Bangkok). In 2019 the JTS (the Joint Technical Symposium) could
also focus on open source.

Best regards, Reto

_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Nicolas George
Le duodi 12 thermidor, an CCXXV, Reto Kromer a écrit :
>       Many audio-visual archives
> do actually use - and keep up to date - FFmpeg via Homebrew or
> Linuxbrew

You realize these counts as distributions, do you not?

Regards,

--
  Nicolas George

_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Reto Kromer-2
In reply to this post by msknight
Nicolas George wrote:

>You realize these counts as distributions, do you not?

Actually each one can compile with the specific options they
need, which is not possible with "classic" distributions.

_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

msknight
> Actually each one can compile with the specific options they
> need, which is not possible with "classic" distributions.

I wouldn't have a clue what options I need to compile.

I need to take my camera footage and convert it into something KDEnlive is happy with... that's about the sum total of my technical knowledge when it comes to conversions.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Evert Vorster
Hi there.

I find it strange that Kdenlive does not read the footage directly in the
first place, it can generally read anything that ffmpeg can.

Do you have an example file available somewhere?

On 30 July 2017 at 15:40, msknight <[hidden email]> wrote:

> > Actually each one can compile with the specific options they
> > need, which is not possible with "classic" distributions.
>
> I wouldn't have a clue what options I need to compile.
>
> I need to take my camera footage and convert it into something KDEnlive is
> happy with... that's about the sum total of my technical knowledge when it
> comes to conversions.
>
>
>
>
> --
> View this message in context: http://www.ffmpeg-archive.org/
> Libraries-missing-tp4680761p4680776.html
> Sent from the FFmpeg-users mailing list archive at Nabble.com.
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
> To unsubscribe, visit link above, or email
> [hidden email] with subject "unsubscribe".
>



--
Evert Vorster
Isometrix Acquistion Superchief
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

msknight
Hi Evert,

Yes, I have a snippit here - http://msknight.com/bbc/videos/MOV015.MOD

Hope it helps :-)

On Mon, 2017-07-31 at 11:15 +0100, Evert Vorster wrote:

> Hi there.
>
> I find it strange that Kdenlive does not read the footage directly in
> the
> first place, it can generally read anything that ffmpeg can.
>
> Do you have an example file available somewhere?
>
> On 30 July 2017 at 15:40, msknight <[hidden email]> wrote:
>
> >
> > >
> > > Actually each one can compile with the specific options they
> > > need, which is not possible with "classic" distributions.
> > I wouldn't have a clue what options I need to compile.
> >
> > I need to take my camera footage and convert it into something
> > KDEnlive is
> > happy with... that's about the sum total of my technical knowledge
> > when it
> > comes to conversions.
> >
> >
> >
> >
> > --
> > View this message in context: http://www.ffmpeg-archive.org/
> > Libraries-missing-tp4680761p4680776.html
> > Sent from the FFmpeg-users mailing list archive at Nabble.com.
> > _______________________________________________
> > ffmpeg-user mailing list
> > [hidden email]
> > http://ffmpeg.org/mailman/listinfo/ffmpeg-user
> >
> > To unsubscribe, visit link above, or email
> > [hidden email] with subject "unsubscribe".
> >
>
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Reto Kromer-2
In reply to this post by msknight
Michelle wrote:

>Yes, I have a snippit here -
>http://msknight.com/bbc/videos/MOV015.MOD

Thank you! I'm afrain, on my side it transcodes well to MP4 with
FFmpeg 3.3.3. I don't get the error message you mentioned at the
beginning. I have compiled with:

brew install ffmpeg --with-sdl2 --with-freetype --with-openjpeg
--with-x265 --with-rubberband --with-tesseract

Best regards, Reto

_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Libraries missing?

Moritz Barsnick
On Mon, Jul 31, 2017 at 19:18:01 +0200, Reto Kromer wrote:

> Michelle wrote:
>
> >Yes, I have a snippit here -
> >http://msknight.com/bbc/videos/MOV015.MOD
>
> Thank you! I'm afrain, on my side it transcodes well to MP4 with
> FFmpeg 3.3.3. I don't get the error message you mentioned at the
> beginning. I have compiled with:
>
> brew install ffmpeg --with-sdl2 --with-freetype --with-openjpeg
> --with-x265 --with-rubberband --with-tesseract

Well, we figured out long ago that that error message was from
libopenmpt in that ffmpeg binary, which helped interpret the .MOD
suffix due to its vast suffix "support" [*].

Moritz

[*]
  .extensions     = "669,amf,ams,dbm,digi,dmf,dsm,far,gdm,imf,it,j2b,m15,mdl,med,mmcmp,mms,mo3,mod,mptm,mt2,mtm,nst,okt,plm,ppm,psm,pt36,ptm,s3m,sfx,sfx2,stk,stm,ult,umx,wow,xm,xpk",

_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
12
Loading...